# Update Strapi version

How to upgrade your application to the latest version of Strapi.

# Upgrading your dependencies

Start by upgrading all your Strapi package version.

For example moving from 3.0.0-beta.16 to 3.0.0-beta.17

Then run either yarn install or npm install to install the specified version.

TIP

If the operation doesn't work, you should probably remove your yarn.lock or package-lock.json. If it still does not work, let's run the hard mode rm -Rf node_modules

# Building your administration panel

New releases can introduce changes to the administration panel that require a rebuild.

Start by deleting your current build:

rm -rf build

Build the administration panel:

yarn build
# or
npm run build

TIP

If the operation doesn't work, you should probably remove the .cache folder too.

# Migration guides

Sometimes Strapi introduces changes that need more than just the previous updates.

That is the reason for the Migration Guide page.

Just make sure when you update your version that a migration guide exists or not.